NOT WORK Rated 1 out of 5 stars

For me, doesn't work this change for firefox 9.0.1. I do anything and eject me that is corrupt......Can somebody put new version for this add-on somewhere?